Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.metadata
Interface ProvideAndRegisterDocumentSetType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ProvideAndRegisterDocumentSetTypeImpl

    public interface ProvideAndRegisterDocumentSetType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Provide And Register Document Set Type'. This represents the entire metadata that must accompany submission transaction (ITI-15).

See Also:
  IHE Technical Framework

  The following features are supported:

  - {@link org.eclipse.ohf.ihe.xds.metadata.ProvideAndRegisterDocumentSetType#getSubmissionSet Submission Set}
  - {@link org.eclipse.ohf.ihe.xds.metadata.ProvideAndRegisterDocumentSetType#getFolder Folder}
  - {@link org.eclipse.ohf.ihe.xds.metadata.ProvideAndRegisterDocumentSetType#getDocumentEntry Document Entry}
  , `MetadataPackage.getProvideAndRegisterDocumentSetType()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getDocumentEntry()` Returns the value of the 'Document Entry' containment reference list.
`org.eclipse.emf.common.util.EList` | `getFolder()` Returns the value of the 'Folder' containment reference list.
`SubmissionSetType` | `getSubmissionSet()` Returns the value of the 'Submission Set' containment reference.
`void` | `setSubmissionSet(SubmissionSetType value)` Sets the value of the '`Submission Set`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSubmissionSet

    SubmissionSetType getSubmissionSet()

  Returns the value of the 'Submission Set' containment reference. Gets the submission set metadata for this submission.

  Returns:
    the value of the 'Submission Set' containment reference.
  See Also:
    `setSubmissionSet(SubmissionSetType)`, `MetadataPackage.getProvideAndRegisterDocumentSetType_SubmissionSet()`

### setSubmissionSet

    void setSubmissionSet(SubmissionSetType value)

  Sets the value of the '`Submission Set`' containment reference.

  Parameters:
    `value` - the new value of the 'Submission Set' containment reference.
  See Also:
    `getSubmissionSet()`

### getFolder

    org.eclipse.emf.common.util.EList getFolder()

  Returns the value of the 'Folder' containment reference list. The list contents are of type `FolderType`.

  Gets the list of folders associated with this submission.

  Returns:
    the value of the 'Folder' containment reference list.
  See Also:
    `MetadataPackage.getProvideAndRegisterDocumentSetType_Folder()`

### getDocumentEntry

    org.eclipse.emf.common.util.EList getDocumentEntry()

  Returns the value of the 'Document Entry' containment reference list. The list contents are of type `DocumentEntryType`.

  Gets the list of documents associated with this submission.

  Returns:
    the value of the 'Document Entry' containment reference list.
  See Also:
    `MetadataPackage.getProvideAndRegisterDocumentSetType_DocumentEntry()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD